Herald
OpenapiBilling invoice

Apply_invoice

POST
/api/user/bill/invoices

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

billingAddress*string
billingEmail?string|null
billingName*string
billingPhone?string|null
billingTaxId*string
currency*string
dueDate*string
Formatdate
notes?string|null
paymentAttemptId?|
Formatuuid
subscriptionId?|
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/user/bill/invoices" \  -H "Content-Type: application/json" \  -d '{    "billingAddress": "string",    "billingName": "string",    "billingTaxId": "string",    "currency": "string",    "dueDate": "2019-08-24"  }'
{  "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",  "amountRefunded": 0,  "amountRemaining": 0,  "applicantUserId": "ddd86f52-49a0-4bb0-adcb-c012e3919302",  "billingAddress": "string",  "billingEmail": "string",  "billingName": "string",  "billingPhone": "string",  "billingTaxId": "string",  "createdAt": "string",  "creditNotes": [    {      "amount": 0,      "createdAt": "string",      "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",      "currency": "string",      "externalCreditNoteId": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "memo": "string",      "source": "string",      "status": "string"    }  ],  "currency": "string",  "discountAmount": 0,  "discountMode": "string",  "discountValue": "string",  "dueDate": "2019-08-24",  "externalHostedUrl": "string",  "externalInvoiceId": "string",  "externalOrderId": "string",  "externalPdfUrl": "string",  "history": [    {      "actorType": "string",      "actorUserId": "94141e08-adc7-44ce-bed3-45f031b9f36f",      "changes": null,      "createdAt": "string",      "eventType": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec"    }  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "invoiceNumber": "string",  "issueDate": "2019-08-24",  "issuedAt": "string",  "lineItems": [    {      "description": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec",      "name": "string",      "quantity": "string",      "sortOrder": 0,      "subtotal": 0,      "unitPrice": 0    }  ],  "notes": "string",  "paidAt": "string",  "paymentAttemptId": "5c39612f-9e19-4385-8bd3-bad144d722f6",  "paymentProvider": "string",  "paymentTerms": "string",  "provider": "string",  "realmId": "string",  "sellerAddress": "string",  "sellerEmail": "string",  "sellerName": "string",  "sellerPhone": "string",  "sellerTaxId": "string",  "shippingAmount": 0,  "shippingMode": "string",  "shippingValue": "string",  "source": "string",  "status": "string",  "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f",  "subtotal": 0,  "taxAmount": 0,  "taxDetails": null,  "taxMode": "string",  "taxValue": "string",  "total": 0,  "updatedAt": "string",  "voidReason": "string",  "voidedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}